<?php 

class DureeInscription extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("DureeInscriptionModel","duree");
	}

	public function index($values = null)
	{
		$data["active"] = 2;
		$data["duree"] = $this->duree->getOne();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("test/dureeInscription",$data);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nombre","nombre","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("duree","duree","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index($_POST);
			return false;
		}

		$nombre = (int)$_POST["nombre"];
		$duree = (int)$_POST["duree"];
		$debut = trim($_POST["debut"]);

		$this->duree->update(["nombreEtudiant","dureeInscription","heureDebut"],[$nombre,$duree,$debut,1]);
		$this->index(Utility::getAlert("success"));
	}


}