<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("budget/budget") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Budget</a>
		</nav>

		<form id="form-budget" class="form-content" method="post" action="<?= base_url("budget/budget/print") ?>" target="_blank">

			<div id="form-budget-content">
				<?php include("components/form_budget.php") ?>	
			</div>
			
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="button" class="btn btn-dark btn-block" onclick="displayBudget()">Afficher</button>
					<button type="submit" class="btn btn-info btn-block">Imprimer</button>
				</div>
				
			</div>
		</form>
	</div>

	<div class="main-table table-responsive mt-4">
		<table class="table">
			<thead>
				<tr>
					<th>Espèce</th>
					<th>Chèque</th>
					<th>Crédit</th>
					<th>Total</th>
				</tr>
			</thead>
			<tbody id="display-budget">
				<?php if(isset($result)): ?>
					<tr class="Lexend_SemiBold">
						<td><?= $result->espece ?></td>
						<td><?= $result->cheque ?></td>
						<td><?= $result->credit ?></td>
						<td><?= $result->total ?></td>
					</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
</div>

