<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
	<div class="input">
		<?php if(isset($values["exercice"])): ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceMutationChange(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceMutationChange(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('exercice') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Term :</label>
	<div class="input">
		<?php if(isset($values["term"])): ?>
			<select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" onchange="onTermMutationChange()">
				<?php foreach($terms as $term): ?>
					<option value="<?= $term->idTerm ?>" <?= ($values["term"] === $term->idTerm) ? "selected" : "" ?>><?= $term->nomTerm ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" onchange="onTermMutationChange()">
				<?php foreach($terms as $term): ?>
					<option value="<?= $term->idTerm ?>"><?= $term->nomTerm ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('term') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Classe :</label>
	<div class="input">
		<?php if(isset($values["classe"])): ?>
			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseMutationChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseMutationChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('classe') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
	<div class="input">
		<?php if(isset($values["niveau"])): ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauMutationChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] === $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauMutationChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('niveau') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Salle :</label>
	<div class="input">
		<?php if(isset($values["salle-origine"])): ?>
			<select name="salle-origine" class="form-control ui search dropdown <?= form_error('salle-origine') ? 'input-error' : '' ?>" onchange="onSalleMutationChange()">
				<?php foreach($salleOrigines as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>" <?= ($values["salle-origine"] === $salle->idRepartitionCours) ? "selected" : "" ?>><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="salle-origine" class="form-control ui search dropdown <?= form_error('salle-origine') ? 'input-error' : '' ?>" onchange="onSalleMutationChange()">
				<?php foreach($salleOrigines as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>"><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('salle-origine') ?></div>
		<?php if(isset($salleInfo)): ?>
			<div class="salle-info d-flex justify-content-between text-md text-info">
				<span>Capacité : <?= $salleInfo->capaciteSalle ?></span>
				<span>Occupation : <?= $salleInfo->occupation ?></span>
			</div>
		<?php endif ?>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Destination :</label>
	<div class="input">
		<?php if(isset($values["salle-destination"])): ?>
			<select name="salle-destination" class="form-control ui search dropdown <?= form_error('salle-destination') ? 'input-error' : '' ?>">
				<?php foreach($salleDestinations as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>" <?= ($values["salle-destination"] === $salle->idRepartitionCours) ? "selected" : "" ?>><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="salle-destination" class="form-control ui search dropdown <?= form_error('salle-destination') ? 'input-error' : '' ?>">
				<?php foreach($salleDestinations as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>"><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('salle-destination') ?></div>
		<?php if(isset($salleInfo)): ?>
			<div class="salle-info d-flex justify-content-between text-md text-info">
				<span>Capacité : <?= $salleInfo->capaciteSalle ?></span>
				<span>Occupation : <?= $salleInfo->occupation ?></span>
			</div>
		<?php endif ?>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Nombre d'etudiant :</label>
	<div class="input">
		<input type="number" name="nombre" class="form-control <?= form_error('nombre') ? 'input-error' : '' ?>" value="<?= $values['nombre'] ?? null ?>" readonly onclick="openModalMutation()" id="nombre-mutation">
		<div class="form-error"><?= form_error('nombre') ?></div>
	</div>
</div>


<div class="form-input d-flex flex-wrap mt-3">
	<label class="mb-0 Lexend_ExtraLight"></label>
	<div class="input">
		<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
	</div>
	
</div>


<!-- Modal -->
<div class="modal" tabindex="-1" id="modal-mutation" data-backdrop="static">
	<div class="modal-dialog modal-lg">
	    <div class="modal-content">
		    <div class="modal-header">
		        <h5 class="modal-title">Listes des etudiants</h5>
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span>
		        </button>
		    </div>
		    <div class="modal-body modal-body-mutation">
		    	<form id="form-list-mutation">
			        <ul class="list-group">
			        	<?php foreach($etudiants as $etu): ?>
						  	<li class="list-group-item d-flex align-items-center py-2">
						  		<input type="checkbox" name="matricules[]" value="<?= $etu->matriculeEtudiant ?>" class="checkbox-list-mutation" id="mutation-<?= $etu->matriculeEtudiant ?>">
						  		<label for="mutation-<?= $etu->matriculeEtudiant ?>" class="mb-0 ml-2">
						  			<span class="Lexend_SemiBold"><?= str_pad($etu->matriculeEtudiant,5,"0",STR_PAD_LEFT) ?></span> - 
						  			<span class="text-muted"><?= $etu->nom ?> <?= $etu->prenom ?></span>
						  		</label>
						  	</li>
						<?php endforeach ?>
					</ul>
				</form>
		    </div>
		    <div class="modal-footer">
		        <button type="button" class="btn btn-info" onclick="closeModalMutation()">Choisir</button>
		    </div>
	    </div>
	</div>
</div>