<?php 

class Home extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
	}

	public function index()
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];
		if(count($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice);
		}

		$data["exercices"] = $exercices;
		$data["terms"] = $terms;
		$data["classes"] = $this->classe->getAll();

		$this->load->view("statistique/index",$data);
	}

	public function getTerm()
	{
		$idExercice = (int)$_POST["idExercice"];
		$data["terms"] = $this->term->getAllByExercice($idExercice);

		$this->load->view("statistique/components/term_statistique",$data);
	}



}