<?php 

class CompanyModel extends CI_Model{

	public function getAll()
	{
		return DB::select("company")->order(["idCompany" => "DESC"])->execute();
	}

	public function getAllSearch($query)
	{
		return DB::select("company")
				->where("nomCompany"," LIKE ")
				->or("adresseCompany"," LIKE ")
				->or("contactCompany"," LIKE ")
				->or("responsableCompany"," LIKE ")
				->execute([$query,$query,$query,$query]);
	}

	public function getOne($id)
	{
		return DB::select("company")
				->where("idCompany","=")
				->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("company")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("company")
			->parametters($fields)
			->where("idCompany","=")
			->execute($values);
	}
	public function delete($id)
	{
		DB::delete("company")
			->where("idCompany","=")
			->execute([$id]);
	}


}