<?php 

class EtudiantCoursModel extends CI_Model{

	public function getByMatricule($matricule)
	{
		return DB::select("etudiantCours")
					->where("matriculeEtudiant","=")
					->fetchOne([$matricule]);
	}

	public function create($idEtudiant)
	{
		DB::insert("etudiantCours")
			->parametters(["idEtudiant"])
			->execute([$idEtudiant]);
		$inserted = DB::customQuery("SELECT MAX(matriculeEtudiant) AS max FROM etudiantCours",[],false);
		return $inserted->max;
	}

	public function delete($matricule)
	{
		DB::delete("etudiantCours")
			->where("matriculeEtudiant","=")
			->execute([$matricule]);
	}


}