<?php 

class RemiseModel extends CI_Model{

	public function getAll()
	{
		return DB::select("remise")->order(["idRemise" => "DESC"])->execute();
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM remise WHERE nomRemise LIKE ?",[$query]);
	}

	public function getOne($id)
	{
		return DB::select("remise")
					->where("idRemise","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("remise")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("remise")
			->parametters($fields)
			->where("idRemise","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("remise")
			->where("idRemise","=")
			->execute([$id]);
	}


}