<?php 

class SalleModel extends CI_Model{

	public function getAll()
	{
		return DB::select("salle")->order(["idSalle" => "DESC"])->execute();
	}
	public function getAllSearch($query)
	{
		return DB::select("salle")
				->where("nomSalle"," LIKE ")
				->or("descriptionSalle"," LIKE ")
				->order(["idSalle" => "DESC"])
				->execute([$query,$query]);
	}

	public function getOne($id)
	{
		return DB::select("salle")
					->where("idSalle","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("salle")->parametters($fields)->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("salle")
			->parametters($fields)
			->where("idSalle","=")
			->execute($values);
	}
	public function delete($id)
	{
		DB::delete("salle")->where("idSalle","=")->execute([$id]);
	}

}