<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Type :</label>
	<div class="input">
		<?php if(isset($values["type"])): ?>
			<select name="type" class="form-control <?= form_error('type') ? 'input-error' : '' ?>">
				<option value="all" <?= ($values["type"] === "all") ? "selected" : "" ?>>Tous</option>
				<option value="cours" <?= ($values["type"] === "cours") ? "selected" : "" ?>>Inscription cours</option>
				<option value="test" <?= ($values["type"] === "test") ? "selected" : "" ?>>Inscription PT</option>
			</select>
		<?php else: ?>
			<select name="type" class="form-control <?= form_error('type') ? 'input-error' : '' ?>">
				<option value="all">Tous</option>
				<option value="cours">Inscription cours</option>
				<option value="test">Inscription PT</option>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('type') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
	<div class="input">
		<?php if(isset($values["exercice"])): ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermBudget(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermBudget(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('exercice') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Term :</label>
	<div class="input" id="term-budget">
		<?php include("term_budget.php") ?>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Date debut :</label>
	<div class="input">
		<input type="date" name="debut" class="form-control <?= form_error('debut') ? 'input-error' : '' ?>" value="<?= $values['debut'] ?? null ?>">
		<div class="form-error"><?= form_error('debut') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Date fin :</label>
	<div class="input">
		<input type="date" name="fin" class="form-control <?= form_error('fin') ? 'input-error' : '' ?>" value="<?= $values['fin'] ?? null ?>">
		<div class="form-error"><?= form_error('fin') ?></div>
	</div>
</div>