<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
	<div class="input">
		<?php if(isset($values["niveau"])): ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauChange()" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] === $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauChange()" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('niveau') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Jours de cours :</label>
	<div class="input">
		<?php if(isset($values["jours"])): ?>
			<select name="jours" class="form-control ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursChange()" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($days as $day): ?>
					<option value="<?= $day ?>" <?= ($values["jours"] === $day) ? "selected" : "" ?>><?= $day ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="jours" class="form-control ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursChange()" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($days as $day): ?>
					<option value="<?= $day ?>"><?= $day ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('jours') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Matière :</label>
	<div class="input">
		<?php if(isset($values["matiere"])): ?>
			<select name="matiere" class="form-control ui search dropdown <?= form_error('matiere') ? 'input-error' : '' ?>" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($matieres as $matiere): ?>
					<option value="<?= $matiere->matieres ?>" <?= ($values["matiere"] === $matiere->matieres) ? "selected" : "" ?>><?= $matiere->matieres ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="matiere" class="form-control ui search dropdown <?= form_error('matiere') ? 'input-error' : '' ?>" <?= (isset($action) && $action === "update") ? "disabled" : ""  ?>>
				<?php foreach($matieres as $matiere): ?>
					<option value="<?= $matiere->matieres ?>"><?= $matiere->matieres ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('matiere') ?></div>
	</div>
	
</div>

<?php if(isset($component)): ?>
<script>
	$(".ui.dropdown").dropdown();
</script>
<?php endif ?>