<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<?php include("components/navbar_classe.php") ?>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/joursCours/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/joursCours/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Selectionner jours :</label>
				<div class="input">

					<?php foreach(JoursCoursModel::DAYS as $day): ?>
						<div class="form-check">
							<?php if(isset($values["jours"])): ?>
						  		<input class="form-check-input" name="jours[]" type="checkbox" value="<?= $day["short"] ?>" id="<?= $day["short"] ?>" <?= (in_array($day["short"], $values["jours"])) ? "checked" : "" ?>>
						  	<?php else: ?>
						  		<input class="form-check-input" name="jours[]" type="checkbox" value="<?= $day["short"] ?>" id="<?= $day["short"] ?>">
						  	<?php endif; ?>
						  	<label class="form-check-label w-100" for="<?= $day["short"] ?>">
						    	<?= $day["long"] ?>
						  	</label>
						</div>
					<?php endforeach; ?>
					<div class="form-error"><?= form_error('jours[]') ?></div>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Description :</label>
				<div class="input">
					<textarea type="text" name="description" class="form-control <?= form_error('description') ? 'input-error' : '' ?>"><?= $values['description'] ?? null ?></textarea>
					<div class="form-error"><?= form_error('description') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des jours</span>
		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Jours</th>
					<th>Description</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->nomJoursCours ?></td>
						<td><?= $list->description ?></td>
						<td>
							<form action="<?= base_url("parametrage/joursCours/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idJoursCours ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("parametrage/joursCours/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idJoursCours ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>