

<div class="modal-header flex-column">
    <h5 class="modal-title" id="exampleModalLabel">Saisie resultat examen online</h5>
    <div class="w-100">
    	<table>
    		<tr>
    			<td style="width: 200px" class="text-muted">Session : </td>
    			<td class="Lexend_SemiBold"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></td>
    		</tr>
    		<tr>
    			<td style="width: 200px" class="text-muted">Classe / Niveau :  </td>
    			<td class="Lexend_SemiBold"><?= $niveau->codeClasse ?> / <?= $niveau->codeNiveau ?></td>
    		</tr>
    	</table>
    </div>
</div>
<form class="modal-body" id="form-saisie-resultat-online">
	<div class="table-responsive table-resultat">
        <table class="table table-bordered table-sm table-striped">
        	<thead>
        		<tr>
        			<th>Matricule</th>
        			<th>Nom & prénoms</th>
        			<th>Note 95%</th>
        			<th>Note 5%</th>
        		</tr>
        	</thead>
        	<tbody>
        		<?php foreach($etudiants as $etudiant): ?>
					<tr>
						<td><?= str_pad($etudiant->matriculeEtudiant,5,"0",STR_PAD_LEFT) ?></td>
						<td><?= $etudiant->nom ?> <?= $etudiant->prenom ?></td>
						<td style="width: 200px">
							<input type="hidden" name="ids[]" value="<?= $etudiant->idNoteExamenOnline ?>">
							<input type="text" name="notes95[]" class="form-control form-control-sm" value="<?= $etudiant->note95 ?>">
						</td>
						<td style="width: 200px">
							<input type="text" name="notes5[]" class="form-control form-control-sm" value="<?= $etudiant->note5 ?>">
						</td>
					</tr>
				<?php endforeach; ?>
        	</tbody>
        </table>
    </div>
</form>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
    <button type="button" class="btn btn-info" onclick="submitResultatOnline()">Enregistrer</button>
</div>