
<?php Themes::loadHeader("ETP | Connexion",["login"]) ?>


	<div class="container d-flex justify-content-center align-items-center flex-column menu-container">
		<img src="<?= base_url("publics/IMAGES/logo.png") ?>" width="150px">
		<div class="menu-content p-4">

			<h1 class="h4 text-center text-dark Lexend_Medium mb-2">Connexion</h1>
			<div class="menu-link-container">

				<form class="__form __login" method="post" action="<?= base_url("login") ?>">

					<div class="__block">
						<label class="__label Lexend_Regular">Identifiant : </label>
						<input type="text" class="form-control __input <?= form_error("identifiant") ? '__input_error' : '' ?>" name="identifiant" autocomplete="off" value="<?= $post['identifiant'] ?? null ?>">
						<span class="__text_error"><?= form_error("identifiant") ?></span>
					</div>

					<div class="__block">
						<label class="__label Lexend_Regular">Mot de passe : </label>
						<div class="__password">
							<input type="password" class="form-control __input <?= form_error("password") ? '__input_error' : '' ?>" name="password" autocomplete="off" value="<?= $post['password'] ?? null ?>">
							<span class="__eye slash" onclick="toggleEyes(this)"><i class="fa-solid fa-eye-slash"></i></span>
						</div>
						<span class="__text_error"><?= form_error("password") ?></span>
					</div>

					<?php if(isset($login_error)) : ?>
						<div class="__block">
							<div class="__alert alert alert-danger Lexend_Regular m-0"> <small> Identifiant ou mot de passe incorrect</small></div>
						</div>
					<?php endif ?>

					<div class="__block">

						<button type="submit" class="__btn_connection" onclick="startLoader(this)">
							<span class="loading_content Lexend_Regular">
								<span class="loading d-none"></span>
								Se connecter
							</span>
						</button>
						
					</div>
				</form>
			</div>

		</div>
		<p class="text-center mt-4 text-muted">Nir'info © <?= date("Y") ?></p>
	</div>
		
<?php Themes::loadFooter() ?>
