<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Numéro PT :</label>
	<div class="input">
		<?php if($action === "create"): ?>
			<input type="text" name="numeroPT" class="form-control <?= form_error('numeroPT') ? 'input-error' : '' ?>" value="<?= $values['numeroPT'] ?? null ?>" onblur="getInfoPT(this)">
		<?php else: ?>
			<input type="text" name="numeroPT" class="form-control <?= form_error('numeroPT') ? 'input-error' : '' ?>" value="<?= $values['numeroPT'] ?? null ?>" readonly>
		<?php endif; ?>
		
		<div class="form-error"><?= form_error('numeroPT') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Nom & prénom:</label>
	<div class="input">
		<input type="text" name="fullname" class="form-control <?= form_error('fullname') ? 'input-error' : '' ?>" value="<?= $values['fullname'] ?? null ?>" readonly>
		<div class="form-error"><?= form_error('fullname') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Date test :</label>
	<div class="input">
		<?php if(isset($values["date"])): ?>
			<select class="form-control" name="date" onchange="getSallePT()">
				<?php foreach($dates as $date): ?>
					<option value="<?= $date->dateTest ?>" <?= ($values["date"] === $date->dateTest) ? "selected" : "" ?>><?= $date->dateTest ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select class="form-control" name="date" onchange="getSallePT()">
				<?php foreach($dates as $date): ?>
					<option value="<?= $date->dateTest ?>"><?= $date->dateTest ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
	</div>
		
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Mode de paiement :</label>
	<div class="input">
		<?php if(isset($values["mode-paiement"])): ?>
			<select class="form-control <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
				<option value="espece" <?= ($values["mode-paiement"] === "espece") ? "selected" : "" ?>>Espèce</option>
				<option value="cheque" <?= ($values["mode-paiement"] === "cheque") ? "selected" : "" ?>>Chèque</option>
				<option value="credit" <?= ($values["mode-paiement"] === "credit") ? "selected" : "" ?>>Crédit</option>
				<option value="mobile monnaie" <?= ($values["mode-paiement"] === "mobile monnaie") ? "selected" : "" ?>>Mobile Monnaie</option>
			</select>
		<?php else: ?>
			<select class="form-control <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
				<option value="espece">Espèce</option>
				<option value="cheque">Chèque</option>
				<option value="credit">Crédit</option>
				<option value="mobile monnaie">Mobile Monnaie</option>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('mode-paiement') ?></div>
	</div>
		
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Remise :</label>
	<div class="input">
		<?php if(isset($values["remise"])): ?>
			<select class="form-control" name="remise" onchange="getDroitTest()">	
				<option value="-1">Sans remise</option>
				<?php foreach($remises as $remise): ?>
					<option value="<?= $remise->idRemise ?>" <?= ($values["remise"] === $remise->idRemise) ? "selected" : "" ?>><?= $remise->nomRemise ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select class="form-control" name="remise" onchange="getDroitTest()">
				<option value="-1">Sans remise</option>
				<?php foreach($remises as $remise): ?>
					<option value="<?= $remise->idRemise ?>"><?= $remise->nomRemise ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
	</div>
		
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Droit à payer :</label>
	<div class="input">
		<input type="text" name="droit" class="form-control <?= form_error('droit') ? 'input-error' : '' ?>" value="<?= $values['droit'] ?? null ?>" readonly id="droitPT">
		<div class="form-error"><?= form_error('droit') ?></div>
	</div>
</div>

