	
<div class="form-etudiant">
	<?php if($action === "create"): ?>
		<form class="form-content pt-0" method="post" action="<?= base_url("testNiveau/etudiant/create") ?>" onsubmit="sendForm(event,this)">
	<?php else: ?>
		<form class="form-content pt-0" method="post" action="<?= base_url("testNiveau/etudiant/update") ?>" onsubmit="sendForm(event,this)">
	<?php endif ?>
		<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Session :</label>
			<div class="input">
				<?php if(isset($values["session"])): ?>
					<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>" <?= ($action === "update") ? "disabled" : "" ?>>
						<?php foreach($sessions as $session): ?>
							<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
						<?php endforeach; ?>
					</select>
				<?php else: ?>
					<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
						<?php foreach($sessions as $session): ?>
							<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
						<?php endforeach; ?>
					</select>
				<?php endif; ?>
				<div class="form-error"><?= form_error('session') ?></div>
			</div>
			
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Nom :</label>
			<div class="input">
				<input type="text" name="nom" class="form-control <?= form_error('nom') ? 'input-error' : '' ?>" value="<?= $values['nom'] ?? null ?>">
				<div class="form-error"><?= form_error('nom') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Prénoms :</label>
			<div class="input">
				<input type="text" name="prenom" class="form-control <?= form_error('prenom') ? 'input-error' : '' ?>" value="<?= $values['prenom'] ?? null ?>">
				<div class="form-error"><?= form_error('prenom') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Adresse :</label>
			<div class="input">
				<input type="text" name="adresse" class="form-control <?= form_error('adresse') ? 'input-error' : '' ?>" value="<?= $values['adresse'] ?? null ?>">
				<div class="form-error"><?= form_error('adresse') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Email :</label>
			<div class="input">
				<input type="text" name="email" class="form-control <?= form_error('email') ? 'input-error' : '' ?>" value="<?= $values['email'] ?? null ?>">
				<div class="form-error"><?= form_error('email') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Téléphone :</label>
			<div class="input">
				<input type="text" name="tel" class="form-control <?= form_error('tel') ? 'input-error' : '' ?>" value="<?= $values['tel'] ?? null ?>">
				<div class="form-error"><?= form_error('tel') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Contact d'urgence :</label>
			<div class="input">
				<input type="text" name="urgence" class="form-control <?= form_error('urgence') ? 'input-error' : '' ?>" value="<?= $values['urgence'] ?? null ?>">
				<div class="form-error"><?= form_error('urgence') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Profession :</label>
			<div class="input">
				<input type="text" name="profession" class="form-control <?= form_error('profession') ? 'input-error' : '' ?>" value="<?= $values['profession'] ?? null ?>">
				<div class="form-error"><?= form_error('profession') ?></div>
			</div>
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Classe :</label>
			<div class="input">
				<?php if(isset($values["classe"])): ?>
					<select class="form-control" name="classe">
						<?php foreach($classes as $classe): ?>
							<option value="<?= $classe->codeClasse ?>" <?= ($values["classe"] === $classe->codeClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
						<?php endforeach; ?>
					</select>
				<?php else: ?>
					<select class="form-control" name="classe">
						<?php foreach($classes as $classe): ?>
							<option value="<?= $classe->codeClasse ?>"><?= $classe->codeClasse ?></option>
						<?php endforeach; ?>
					</select>
				<?php endif; ?>
			</div>
				
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Type etudiant :</label>
			<div class="input">
				<?php if(isset($values["type"])): ?>
					<select class="form-control <?= form_error('type') ? 'input-error' : '' ?>" name="type" onchange="toggleCompany()">
						<option value="normale" <?= ($values["type"] === "normale") ? "selected" : "" ?>>Normale</option>
						<option value="company" <?= ($values["type"] === "company") ? "selected" : "" ?>>Compagnie</option>
					</select>
				<?php else: ?>
					<select class="form-control <?= form_error('type') ? 'input-error' : '' ?>" name="type" onchange="toggleCompany()">
						<option value="normale">Normale</option>
						<option value="company">Compagnie</option>
					</select>
				<?php endif; ?>
				<div class="form-error"><?= form_error('type') ?></div>
			</div>
				
		</div>
		
		<?php if(isset($values["type"])): ?>
			<div id="company-etudiant" class="<?= ($values["type"] === "normale") ? 'd-none' : '' ?>">
				<?php include("company_etudiant.php") ?>
			</div>
		<?php else: ?>
			<div id="company-etudiant" class="d-none">
				<?php include("company_etudiant.php") ?>
			</div>
		<?php endif; ?>

		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Preference 1 :</label>
			<div class="input">
				<?php if(isset($values["pref1"])): ?>
					<select class="form-control" name="pref1">	
						<option value="-1">Aucune préférence</option>
						<?php foreach($heures as $heure): ?>
							<option value="<?= $heure->idHoraireCours ?>" <?= ($values["pref1"] === $heure->idHoraireCours) ? "selected" : "" ?>><?= $heure->debutCours ?> à <?= $heure->finCours ?></option>
						<?php endforeach; ?>
					</select>
				<?php else: ?>
					<select class="form-control" name="pref1">
						<option value="-1">Aucune préférence</option>
						<?php foreach($heures as $heure): ?>
							<option value="<?= $heure->idHoraireCours ?>"><?= $heure->debutCours ?> à <?= $heure->finCours ?></option>
						<?php endforeach; ?>
					</select>
				<?php endif; ?>
			</div>
				
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Preference 2 :</label>
			<div class="input">
				<?php if(isset($values["pref2"])): ?>
					<select class="form-control" name="pref2">
						<option value="-1">Aucune préférence</option>
						<?php foreach($heures as $heure): ?>
							<option value="<?= $heure->idHoraireCours ?>" <?= ($values["pref2"] === $heure->idHoraireCours) ? "selected" : "" ?>><?= $heure->debutCours ?> à <?= $heure->finCours ?></option>
						<?php endforeach; ?>
					</select>
				<?php else: ?>
					<select class="form-control" name="pref2">
						<option value="-1">Aucune préférence</option>
						<?php foreach($heures as $heure): ?>
							<option value="<?= $heure->idHoraireCours ?>"><?= $heure->debutCours ?> à <?= $heure->finCours ?></option>
						<?php endforeach; ?>
					</select>
				<?php endif; ?>
			</div>
				
		</div>
		<div class="form-input d-flex flex-wrap mt-3">
			<label class="mb-0 Lexend_ExtraLight"></label>
			<div class="input">
				<?php if($action === "create"): ?>
					<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
				<?php else: ?>
					<button type="submit" class="btn btn-success btn-block">Modifier</button>
				<?php endif ?>
			</div>
			
		</div>
	</form>
</div>

<div class="form-etudiant d-none">
	<form class="form-content pt-0" method="post" action="<?= base_url("testNiveau/etudiant/insertCSV") ?>" onsubmit="sendForm(event,this)">
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Session :</label>
			<div class="input">
				<?php if(isset($values["session"])): ?>
					<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
						<?php foreach($sessions as $session): ?>
							<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
						<?php endforeach; ?>
					</select>
				<?php else: ?>
					<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
						<?php foreach($sessions as $session): ?>
							<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
						<?php endforeach; ?>
					</select>
				<?php endif; ?>
				<div class="form-error"><?= form_error('session') ?></div>
			</div>
			
		</div>
		<div class="form-input d-flex flex-wrap">
			<label class="mb-0 Lexend_ExtraLight">Fichier CSV :</label>
			<div class="input">
				<input type="file" name="csv" class="form-control <?= form_error('csv') ? 'input-error' : '' ?>" >
				<div class="form-error"><?= form_error('csv') ?></div>
			</div>
		</div>

		<div class="form-input d-flex flex-wrap mt-3">
			<label class="mb-0 Lexend_ExtraLight"></label>
			<div class="input">
				<button type="submit" class="btn btn-dark btn-block">Importer</button>
			</div>
			
		</div>
	</form>
</div>