/**
 * Soumission d'une formulaire standart
 * 
 * **/
function sendForm(e,form){
	e.preventDefault();
	setLoadingForm(form);
	$.ajax({
		url: $(form).attr('action'),
		type: 'post',
		data: new FormData(form),
		contentType: false,
		cache: false,
		processData: false,
		dataType: 'html'
	})
	.done(function (res) {
		$(".main").html(res);
	})
}

/**
 *	Recuperer une entrée pour le mettre à jour 
 * 
 * **/
function getOne(e,form){
	e.preventDefault();

	$.post($(form).attr("action"), $(form).serialize(), function(res) {
		$(".main").html(res);
		$(".main").scrollTop(0);
	});
}

/**
 * Suppression d'une entrée
 * 
 * **/
function remove(e,form){
	e.preventDefault();
	Alert.confirm(function(){
		$.post($(form).attr("action"), $(form).serialize(), function(res) {
			$(".main").html(res);
		});
	})
}

/**
 * Recherche sur une table
 * 
 * **/
function filter(e,form){
	e.preventDefault();
	setLoadingForm(form);
	$.post($(form).attr('action'), $(form).serialize(), function(res) {
		$(".main").html(res);
	});
}



