<?php 

class Home extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("SessionModel","msession");
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("EtudiantPTModel","etudiantPT");
	}

	public function index()
	{
		$data["active"] = 1;
		$data["action"] = "create";
		$data["lists"] = $this->msession->getAll();

		$exercices = $this->exercice->getAll();
		$data["exercices"] = $exercices;

		$data["terms"] = [];
		if(count($exercices))
		{
			$data["terms"] = $this->term->getAllByExercice($exercices[0]->idExercice);
		}

		

		$this->load->view("test/index",$data);
	}

	public function getFullname()
	{
		$numero = (int)$_POST["numeroPT"] . "";
		$first = $numero[0];
		$numeroPT = $numero . "/PT/T" . $first;

		$etu = $this->etudiantPT->getOne($numeroPT);
		$fullname = null;
		$numeroPT = $numero;

		if($etu)
		{
			$fullname = $etu->nom . " " . $etu->prenom;
			$numeroPT = $etu->numeroPT;
		}

		echo json_encode(["fullname" => $fullname,"numeroPT" => $numeroPT]);

	}


}