<?php 

class ListResultatPT extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ResultatPTModel","resultat");
		$this->load->model("SessionModel","msession");
		$this->load->model("ClasseModel","classe");
	}

	public function index($lists=null,$values=null)
	{
		$data["active"] = 1;

		$data["sessions"] = $this->msession->getAll();
		$data["classes"] = $this->classe->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		if($lists !== null)
		{
			$data["lists"] = $lists;
		}
		else
		{
			$session = 0;
			$classe = 0;

			if(count($data["sessions"]))
			{
				$session = $data["sessions"][0]->idSession;
			}
			if(count($data["classes"]))
			{
				$classe = $data["classes"][0]->idClasse;
			}
			$data["lists"] = $this->resultat->getBySessionAndClasse($session,$classe);
		}


		$this->load->view("test/listResultat",$data);
	}

	public function generate()
	{
		$session = (int)$_POST["session"];
		$classe  = (int)$_POST["classe"];

		$lists = $this->resultat->getBySessionAndClasse($session,$classe);

		$this->index($lists,$_POST);
	}

	public function print()
	{
		$session = (int)$_POST["session"];
		$classe  = (int)$_POST["classe"];

		$sessionSelect = $this->msession->getOne($session);

		$data['session'] = $sessionSelect->nomTerm . ' - ' . $sessionSelect->anneeExercice;

		$classeSelected = $this->classe->getOne($classe) ;
		$data['classe'] = $classeSelected->codeClasse ;
		var_dump($data['session'], $data['classe'] );

		$data['lists'] = $this->resultat->getBySessionAndClasse($session,$classe);

        $this->load->view('test/components/pdf_resultPT', $data);
	}


}