<?php 

class MatierePTModel extends CI_Model{

	public function getAll()
	{
		return DB::select("matierePT")->order(["idMatierePT" => "DESC"])->execute();
	}

	public function getAllSearch($query)
	{
		return DB::select("matierePT")
				->where("nomMatierePT",' LIKE ')
				->execute([$query]);
	}

	public function getOne($id)
	{
		return DB::select("matierePT")
					->where("idMatierePT","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("matierePT")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("matierePT")
			->parametters($fields)
			->where("idMatierePT","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("matierePT")
			->where("idMatierePT","=")
			->execute([$id]);
	}
}