<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form" style="min-height:0">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/listResultatPT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Liste des résultat</a>
		</nav>

		<form class="form-content" method="post" action="<?= base_url("testNiveau/listResultatPT/print") ?>" target="_blank" id="form-resultatPT">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Session :</label>
				<div class="input">
					<?php if(isset($values["session"])): ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('session') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select class="form-control" name="classe">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select class="form-control" name="classe">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
				</div>
					
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="button" class="btn btn-dark btn-block" onclick="generateListResultat()">Voir la liste</button>
					<button type="button" class="btn btn-info btn-block" onclick="printResultat()">Imprimer</button>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center mt-2">
		<div class="search-info w-50">
			Liste des resultats
		</div>
		<div class="search-form w-50">
			

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Session</th>
					<th>Numéro PT</th>
					<th>Classe</th>
					<th>Nom & prénom</th>
					<th>Score écrit</th>
					<th>Rating ecrit</th>
					<th>Rating oral</th>
					<th>Niveau</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?> - <?= $list->nomTerm ?></td>
						<td><?= $list->numeroPT ?></td>
						<td><?=	$list->codeClasse ?></td>
						<td><?= $list->nom ?> <?= $list->prenom ?></td>
						<td><?= $list->scoreEcrit ?></td>
						<td><?= $list->ratingEcrit ?></td>
						<td><?= $list->ratingOral ?></td>
						<td><?= $list->codeNiveau ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>