<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
	<div class="input">
		<?php if(isset($values["exercice"])): ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceFermetureChange(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] == $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceFermetureChange(this)">
				<?php foreach($exercices as $exercice): ?>
					<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('exercice') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Term :</label>
	<div class="input">
		<?php if(isset($values["term"])): ?>
			<select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" onchange="onTermFermetureChange()">
				<?php foreach($terms as $term): ?>
					<option value="<?= $term->idTerm ?>" <?= ($values["term"] == $term->idTerm) ? "selected" : "" ?>><?= $term->nomTerm ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" onchange="onTermFermetureChange()">
				<?php foreach($terms as $term): ?>
					<option value="<?= $term->idTerm ?>"><?= $term->nomTerm ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('term') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Classe :</label>
	<div class="input">
		<?php if(isset($values["classe"])): ?>
			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseFermetureChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] == $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseFermetureChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('classe') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
	<div class="input">
		<?php if(isset($values["niveau"])): ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauFermetureChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] == $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauFermetureChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('niveau') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Salle :</label>
	<div class="input">
		<?php if(isset($values["salle"])): ?>
			<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
				<?php foreach($salles as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>" <?= ($values["salle"] == $salle->idRepartitionCours) ? "selected" : "" ?>><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
				<?php foreach($salles as $salle): ?>
					<option value="<?= $salle->idRepartitionCours ?>"><?= $salle->nomSalle ?> - <?= $salle->debutCours ?> - <?= strtoupper($salle->jours) ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('salle') ?></div>
		<?php if(isset($salleInfo)): ?>
			<div class="salle-info d-flex justify-content-between text-md text-info">
				<span>Capacité : <?= $salleInfo->capaciteSalle ?></span>
				<span>Occupation : <?= $salleInfo->occupation ?></span>
			</div>
		<?php endif ?>
	</div>
	
</div>


<div class="form-input d-flex flex-wrap mt-3">
	<label class="mb-0 Lexend_ExtraLight"></label>
	<div class="input">
		<button type="submit" class="btn btn-danger btn-block">Fermer la salle</button>
	</div>
	
</div>
